Gtk2::ImageView::ScrollWin(3)

NAME
Gtk2::ImageView::ScrollWin - Scrollable window suitable for Gtk2::ImageView.

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Table
                           +----Gtk2::ImageView::ScrollWin

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

DESCRIPTION
Gtk2::ImageView::ScrollWin provides a widget similar in appearance to Gtk2::ScrollWin that is more suitable for displaying Gtk2::ImageView's.

METHODS

  widget or undef = Gtk2::ImageView::ScrollWin->new ($view)

•   $view (Gtk2::ImageView)

Returns a new Gtk2::ImageView::ScrollWin containing the Gtk2::ImageView.

The widget is built using four subwidgets arranged inside a Gtk2::Table with two columns and two rows. Two scrollbars, one navigator button (the decorations) and one Gtk2::ImageView.

When the Gtk2::ImageView fits inside the window, the decorations are hidden.

PROPERTIES

'view' (Gtk2::ImageView : default undef : writable / construct-only)
    Image View to navigate

SEE ALSO
Gtk2::ImageView, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Table

COPYRIGHT
Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see Gtk2::ImageView for a full notice.